#ifdef STATISTICS
/*
 * $Id: Prediction_unit_statistics_allocation.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Core/Multi_Front_end/Front_end/Prediction_unit/include/Prediction_unit.h"

namespace morpheo {
namespace behavioural {
namespace core {
namespace multi_front_end {
namespace front_end {
namespace prediction_unit {


#undef  FUNCTION
#define FUNCTION "Prediction_unit::statistics_allocation"
  void Prediction_unit::statistics_allocation (morpheo::behavioural::Parameters_Statistics * param_statistics)
  {
    log_printf(FUNC,Prediction_unit,FUNCTION,"Begin");

    _stat = new Stat (static_cast<std::string>(_name),
		      "Prediction_unit",
		      param_statistics);

    _stat->add_stat(_component_btb ->_stat);
    _stat->add_stat(_component_dir ->_stat);
    _stat->add_stat(_component_ras ->_stat);
    _stat->add_stat(_component_upt ->_stat);
    _stat->add_stat(_component_glue->_stat);
        
    log_printf(FUNC,Prediction_unit,FUNCTION,"End");
  };

}; // end namespace prediction_unit
}; // end namespace front_end
}; // end namespace multi_front_end
}; // end namespace core

}; // end namespace behavioural
}; // end namespace morpheo              
#endif
